Bug 840035 - Changing the Base OS in a cloned kickstart profile does not change the default channel
Changing the Base OS in a cloned kickstart profile does not change the defaul...
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.7
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 09:50 EDT by Bill Gunter
Modified: 2017-10-27 08:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-27 08:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Gunter 2012-07-13 09:50:24 EDT
Description of problem:
A cloned kickstart profile retains the "default" OS from the parent profile even after the Base OS is changed.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Clone a kickstart profile.
2. Change the Base OS (Kickstart Details|Operating System, Base Channel).
3. Kickstart a host.
  
Actual results:
With no activation key the host will register itself to the previous Base OS (the one from the parent of the clone).
With an activation key usually a conflict occurs and registration will fail entirely.

Expected results:
With no activation key the host will register itself to the Base OS in the profile.
With an activation key the host will register itself to OS in the key.


Additional info:
Postgres DB
Comment 1 Paul Robert Marino 2012-09-03 15:27:22 EDT
Try the solution in ticket 786705
https://bugzilla.redhat.com/show_bug.cgi?id=786705

I have a feeling this is an other manifestation of the same issue
Comment 2 Paul Robert Marino 2012-09-03 15:32:34 EDT
by the way for 
"
With no activation key the host will register itself to the Base OS in the profile.
"
to work you need to add the patches mentioned in ticket 809936 and update the dist channel map which can be done with the tool eva-dist-channel-map.pl mentioned in the ticket, however this is unsupported as of yet because the mapping is global regardless of the organization.
https://bugzilla.redhat.com/show_bug.cgi?id=809936
Comment 3 Bill Gunter 2012-10-03 09:45:09 EDT
That's not quite the same problem. To reiterate, say I have channel A and channel B. If I create a kickstart profile from scratch with base channel A, then clone it and change the base channel to B, systems kickstarted with the cloned profile will register to channel A provided there's no activation key associated with the profile.
Comment 4 Bill Gunter 2012-10-03 12:16:34 EDT
Dug through the DB a bit.  Looks like a new activation key is created in rhnactivationkey when a profile is created or cloned and associated with the profile. Also, a new row is added to rhnregtokenchannels to associate the new default activation key with a channel. If the base channel in the associated profile is changed the channel_id in rhnregtokenchannels is not updated. Therefore, the default activation channel for the profile never changes.
Comment 5 Tomas Lestach 2013-05-03 07:55:53 EDT
I had a rhel6 kickstart profile. I cloned it to a new ks profile and changed the base channel to rhel5. After I provisined my rhel6 system using the cloned ks profile, rhel5 was correctly installed on the system.

I tried it on Spacewalk nightly. Bill, are you sure, the issue wasn't fixed in the meantime and is still present in Spacewalk?
Comment 6 Jan Dobes 2017-10-27 08:00:20 EDT
As here is no input for more than 4 years and it's reported for old version, closing this BZ.

Note You need to log in before you can comment on or make changes to this bug.